package com.gic.enterprise.constant;

/**
 * @author guojx
 * @date 2019/7/18 11:22 AM
 */
public enum  EnterpriseInitCodeEnum {
    CreateMemberCard("createMemberCard", "至少新建一张会员卡"),
    CreateMemberGrade("createMemberGrade", "至少新建一个会员等级"),
    BindServiceNumber("bindServiceNumber", "至少绑定一个服务号"),
    PerfectAutoReplyConfig("perfectAutoReplyConfig", "完善自动回复配置"),
    PerfectMenuConfig("perfectMenuConfig", "完善自定义菜单配置"),
    BingWeChat("bingWeChat", "至少绑定一个小程序"),
    PerfectWeChatPage("perfectWeChatPage", "完善小程序页面装修"),
    ShortMessageServiceConfig("shortMessageServiceConfig", "完成短信业务配置");

    private String code;
    private String message;

    private EnterpriseInitCodeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static boolean isRightCode(String code) {
        for (EnterpriseInitCodeEnum codeEnum : values()) {
            if (codeEnum.getCode().equals(code)) {
                return true;
            }
        }
        return false;
    }
}
